> For the complete documentation index, see [llms.txt](https://docs.workflowgen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.workflowgen.com/azure-fr/8.7/generation-dun-lien-universel-pour-workflowgen-plus.md).

# Génération d'un lien universel pour WorkflowGen Plus v2

## Aperçu

Depuis la version 7.16.0 de WorkflowGen serveur, vous pouvez générer un lien universel pour simplifier le processus de connexion Azure AD de vos utilisateurs de l'application mobile WorkflowGen Plus.

{% hint style="warning" %}
**L'application mobile WorkflowGen Plus v2** supporte l'authentification déléguée Azure AD avec le fournisseur **Microsoft Identity Platform v2.0** (`ms-identity-v2`) uniquement.
{% endhint %}

## URL de base

* **protocol:** `workflowgenplus://`

* **hostname:** `auth.init`

## Paramètres

Vous devez régler les paramètres suivants :

* **provider** : `ms-identity-v2`

* **server\_address** : L'URL de votre application WorkflowGen, dont la valeur doit être encodée URL (p.ex. : `https://macompagnie.com/wfgen`)<br>

* **client\_id** : Ceci est **l'ID d'application (client)** de votre inscription d'application native `WorkflowGen Plus` dans Azure AD (p.ex. :  `4b72dd6c-013e-4a9c-b837-f03a58cb8fd1`)<br>

* **tenant\_id** : Ceci est **l'ID de répertoire (locataire)** de votre inscription d'application native `WorkflowGen Plus` dans Azure AD (p.ex. :&#x20;

  `6g909d00-8580-49a4-9003-a30f6b87ae86`)

* **audience** : L'URL de votre API GraphQL WorkflowGen, dont la valeur doit être encodée URL (p.ex. : `https://macompagnie.com/wfgen/graphql`).&#x20;

Le lien universel devrait suivre cette structure :

```
workflowgenplus://auth.init?provider=ms-identity-v2&server_address=https%3A%2F%2Fmycompany.com%2Fwfgen&client_id=4b72dd6c-013e-4a9c-b837-f03a58cb8fd1&tenant_id=6g909d00-8580-49a4-9003-a30f6b87ae86&audience=https%3A%2F%2Fmycompany.com%2Fwfgen%2Fgraphql
```

{% hint style="success" %}
Une fois que vous aurez généré le lien universel, donnez-le à vos utilisateurs, qui pourront l'utiliser pour se connecter à WorkflowGen Plus v2 par la méthode de connexion pré-configurée.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.workflowgen.com/azure-fr/8.7/generation-dun-lien-universel-pour-workflowgen-plus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
